org.wso2.carbon.cloud.gateway.agent.stub

## Class CGAgentAdminServiceCallbackHandler

- java.lang.Object
- - org.wso2.carbon.cloud.gateway.agent.stub.CGAgentAdminServiceCallbackHandler

-     public abstract class CGAgentAdminServiceCallbackHandler
      extends Object

  CGAgentAdminServiceCallbackHandler Callback class, Users can extend this class and implement their own receiveResult and receiveError methods.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `clientData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CGAgentAdminServiceCallbackHandler()` Please use this constructor if you don't want to set any clientData
    `CGAgentAdminServiceCallbackHandler(Object clientData)` User can pass in any object that needs to be accessed once the NonBlocking Web service call is finished and appropriate method of this CallBack is called.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getClientData()` Get the client data
    `void` | `receiveErrorgetCGServer(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getCGServer operation
    `void` | `receiveErrorgetCGServerList(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getCGServerList operation
    `void` | `receiveErrorgetPublishedProxyToolsURLs(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getPublishedProxyToolsURLs operation
    `void` | `receiveErrorgetPublishedServer(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getPublishedServer operation
    `void` | `receiveErrorgetServiceStatus(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getServiceStatus operation
    `void` | `receiveErrorisHasPublishedServices(Exception e)` auto generated Axis2 Error handler override this method for handling error response from isHasPublishedServices operation
    `void` | `receiveResultgetCGServer(CGServerBean result)` auto generated Axis2 call back method for getCGServer method override this method for handling normal response from getCGServer operation
    `void` | `receiveResultgetCGServerList(CGServerBean[] result)` auto generated Axis2 call back method for getCGServerList method override this method for handling normal response from getCGServerList operation
    `void` | `receiveResultgetPublishedProxyToolsURLs(CGProxyToolsURLs result)` auto generated Axis2 call back method for getPublishedProxyToolsURLs method override this method for handling normal response from getPublishedProxyToolsURLs operation
    `void` | `receiveResultgetPublishedServer(String result)` auto generated Axis2 call back method for getPublishedServer method override this method for handling normal response from getPublishedServer operation
    `void` | `receiveResultgetServiceStatus(String result)` auto generated Axis2 call back method for getServiceStatus method override this method for handling normal response from getServiceStatus operation
    `void` | `receiveResultisHasPublishedServices(boolean result)` auto generated Axis2 call back method for isHasPublishedServices method override this method for handling normal response from isHasPublishedServices operation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientData

          protected Object clientData

  - ### Constructor Detail

    - #### CGAgentAdminServiceCallbackHandler

          public CGAgentAdminServiceCallbackHandler(Object clientData)

      User can pass in any object that needs to be accessed once the NonBlocking Web service call is finished and appropriate method of this CallBack is called.
      Parameters:
        `clientData` - Object mechanism by which the user can pass in user data that will be avilable at the time this callback is called.

    - #### CGAgentAdminServiceCallbackHandler

          public CGAgentAdminServiceCallbackHandler()

      Please use this constructor if you don't want to set any clientData

  - ### Method Detail

    - #### getClientData

          public Object getClientData()

      Get the client data

    - #### receiveResultgetCGServerList

          public void receiveResultgetCGServerList(CGServerBean[] result)

      auto generated Axis2 call back method for getCGServerList method override this method for handling normal response from getCGServerList operation

    - #### receiveErrorgetCGServerList

          public void receiveErrorgetCGServerList(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getCGServerList operation

    - #### receiveResultgetPublishedProxyToolsURLs

          public void receiveResultgetPublishedProxyToolsURLs(CGProxyToolsURLs result)

      auto generated Axis2 call back method for getPublishedProxyToolsURLs method override this method for handling normal response from getPublishedProxyToolsURLs operation

    - #### receiveErrorgetPublishedProxyToolsURLs

          public void receiveErrorgetPublishedProxyToolsURLs(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getPublishedProxyToolsURLs operation

    - #### receiveResultisHasPublishedServices

          public void receiveResultisHasPublishedServices(boolean result)

      auto generated Axis2 call back method for isHasPublishedServices method override this method for handling normal response from isHasPublishedServices operation

    - #### receiveErrorisHasPublishedServices

          public void receiveErrorisHasPublishedServices(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from isHasPublishedServices operation

    - #### receiveResultgetCGServer

          public void receiveResultgetCGServer(CGServerBean result)

      auto generated Axis2 call back method for getCGServer method override this method for handling normal response from getCGServer operation

    - #### receiveErrorgetCGServer

          public void receiveErrorgetCGServer(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getCGServer operation

    - #### receiveResultgetServiceStatus

          public void receiveResultgetServiceStatus(String result)

      auto generated Axis2 call back method for getServiceStatus method override this method for handling normal response from getServiceStatus operation

    - #### receiveErrorgetServiceStatus

          public void receiveErrorgetServiceStatus(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getServiceStatus operation

    - #### receiveResultgetPublishedServer

          public void receiveResultgetPublishedServer(String result)

      auto generated Axis2 call back method for getPublishedServer method override this method for handling normal response from getPublishedServer operation

    - #### receiveErrorgetPublishedServer

          public void receiveErrorgetPublishedServer(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getPublishedServer operation

Copyright © 2019 WSO2. All rights reserved.